<?php

/* PROGRAMAÇÃO BY: BINHO, FUNDADOR DA CTGAMES - TEAM SOFTWARES */

if($_POST["alterar"] == true) {
$personagem = $_POST["aimagem_personagem"];
$foto = $_FILES["foto"];
$ver_char = mssql_num_rows(mssql_query("select name from character where name='".$personagem."' and accountid='".$_SESSION["login"]."'"));
if($personagem == "") {
	exit($bbcode->bbcode('<div class="box_conteudo">Prencha todos os campos</div>'));
}
elseif($ver_char < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Personagem inválido</div>'));
}
else{
	if(!eregi("^image\/(pjpeg|jpeg|png|gif|bmp)$", $foto["type"])) {
		exit($bbcode->bbcode('<div class="box_conteudo">Formato inválido</div>'));
	}
	elseif($foto['size'] >= 3145728) {
		exit($bbcode->bbcode('<div class="box_conteudo">Imagem muito grande</div>'));
	}
	else{
		preg_match("/\.(gif|bmp|png|jpg|jpeg){1}$/i", $foto["name"], $ext);
       	$imagem_nome = md5(uniqid(time())).".".$ext[1];
       	$imagem_dir = "images/personagens/".$imagem_nome;
        move_uploaded_file($foto["tmp_name"], $imagem_dir);
		exit($bbcode->bbcode('<div class="box_conteudo">Imagem alterada com sucesso</div>'));
	}
}
}
?>